org.eclipse.core.variables

## Interface IDynamicVariableResolver

    public interface IDynamicVariableResolver

Resolves the value for a dynamic variable. A dynamic variable extension contributes a resolver which must implement this interface.

Clients contributing a dynamic variable are intended to provide an implementation of this interface.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `resolveValue(IDynamicVariable variable, String argument)` Resolves and returns a value for the specified variable when referenced with the given argument, possibly `null`

### Method Detail

#### resolveValue

    String resolveValue(IDynamicVariable variable,
                        String argument)
                 throws CoreException

Resolves and returns a value for the specified variable when referenced with the given argument, possibly `null`

Parameters:
  `variable` - variable to resolve a value for
  `argument` - argument present in expression or `null` if none
Returns:
  variable value, possibly `null`
Throws:
  `CoreException` - if unable to resolve a value for the given variable